# pqxx::argument_error Class Reference
[Exception classes]

Invalid argument passed to libpqxx, similar to std::invalid_argument. More...

`#include <except.hxx>`

Inheritance diagram for pqxx::argument_error:

[legend]

List of all members.

## Public Member Functions
| argument_error (const std::string &)

## Detailed Description

Invalid argument passed to libpqxx, similar to std::invalid_argument.

## Constructor & Destructor Documentation

pqxx::argument_error::argument_error | ( | const std::string & | whatarg | ) | `[explicit]`

The documentation for this class was generated from the following files:

- except.hxx
- except.cxx